tt_message_status_set(library call)

NAME
tt_message_status_set — set the status attribute for a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_status_set(
Tt_message m,
int status);

DESCRIPTION

The tt_message_status_set function sets the status attribute for the specified message.

The m argument is the opaque handle for the message involved in this operation. The status argument is the status to be stored in this message.

RETURN VALUE

Upon successful completion, the tt_message_status_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

The status value must be greater than TT_ERR_LAST to avoid confusion with the ToolTalk service status values.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).